# ISBlockGetIndices

Gets the indices associated with each block.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISBlockGetIndices(IS in,PetscInt *idx[])

Not Collective

### Input Parameter

is -the index set

### Output Parameter

idx -the integer indices

### See Also

ISGetIndices(), ISBlockRestoreIndices()

Level:intermediate
Location:src/vec/is/impls/block/block.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/examples/tutorials/ex3.c.html